Skip to API content
TalkLabs API Docs v3
Recipes
GET Comments

List Replies Batch

The purpose of this method is to support a use case where you open an app or website widget and you have just displayed up to N top level comments and you want to retrieve the r…

GET /api/v3/{appid}/comment/conversations/{conversationid}/repliesbyparentidbatch

The purpose of this method is to support a use case where you open an app or website widget and you have just displayed up to N top level comments and you want to retrieve the replies to those comments quickly, in 1 request. You could call GetReplies for each top level parent, but if you want to get them in just one request use this method, which has more speed but some limitations:

  • This method does not support cursoring.
  • This method allows you to specify the maximum number of children to return per top level parent, but it does not apply a limit across the total number of replies across all of the top level comments.
  • This method will always return replies sorted by when originally published timestamp ascending (oldest to newest), with replies grouped by each parent comment in the result set.
  • This method will return the children that are direct immediate child replies to the parent only, not an entire tree under a parent.
  • If the parentid list contains a parentid that does not exist or has no child replies it will be skipped, you will not receive 404 unless none of the parentids were found.

URL Arguments

  • comment_conversation_id : (required) The ID of the comment conversation, URL ENCODED.

URL Parameters

  • childlimit : (Optional, default = 50).
  • parentids : (Required). A comma delimited list of parentids, up to 30.
  • includeinactive : (Optional, default = false) If true, replies that are flagged or rejected by a moderator are excluded from results. Set it to false to receive rejected and flagged replies.
Request

Parameters

Values in the path and query string.

appid path
string TalkLabs ID required

The TalkLabs application ID assigned to your account.

Example: your-app-id
conversationid path
string TalkLabs ID required

The TalkLabs assigned conversation ID.

Example: conversation-id
childlimit query
integer · int32
Example: 20
parentids query
string
includeinactive query
boolean
Example: false
Response

Status codes

Every JSON response uses the API result envelope.

200 OK ApiResult
400 Bad Request ApiResult
403 Forbidden ApiResult
404 Not Found ApiResult
500 Internal Server Error ApiResult
Example response · 200
{
  "message": "",
  "errors": {},
  "data": {
    "kind": "list.repliesbyparentid",
    "repliesgroupedbyparentid": [
      {
        "kind": "list.commentreplygroup",
        "parentid": "5edee591f20111684c4be050",
        "comments": [
          {
            "kind": "comment.comment",
            "id": "5edee626f20111684c4be051",
            "appid": "5ecdcfeff201110974822623",
            "conversationid": "some-random-convo-id",
            "commenttype": "comment",
            "added": "2020-06-09T01:30:14.8220404Z",
            "modified": "2020-06-09T01:30:14.8220404Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "This is a reply.",
            "originalbody": "",
            "hashtags": [],
            "customtype": "",
            "customid": "",
            "custompayload": "",
            "customtags": [],
            "customfield1": "",
            "customfield2": "",
            "edited": false,
            "censored": false,
            "deleted": false,
            "parentid": "5edee591f20111684c4be050",
            "hierarchy": [
              "5edee591f20111684c4be050"
            ],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 0,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          },
          {
            "kind": "comment.comment",
            "id": "5edfbf0ef201112b68be197d",
            "appid": "5ecdcfeff201110974822623",
            "conversationid": "some-random-convo-id",
            "commenttype": "comment",
            "added": "2020-06-09T16:55:42.1891024Z",
            "modified": "2020-06-09T16:55:42.1891024Z",
            "userid": "u-8842",
            "user": {
              "kind": "app.user",
              "userid": "u-8842",
              "handle": "dave_m",
              "handlelowercase": "georgew",
              "displayname": "Dave M.",
              "pictureurl": "https://example.com/users/u-8842s/photos/original/a9/c7/a6/44-1-george-washington-18-1549729902.jpg",
              "profileurl": "https://example.com/users/u-8842shington",
              "banned": false
            },
            "body": "This is a reply.",
            "originalbody": "",
            "hashtags": [],
            "customtype": "",
            "customid": "",
            "custompayload": "",
            "customtags": [],
            "customfield1": "",
            "customfield2": "",
            "edited": false,
            "censored": false,
            "deleted": false,
            "parentid": "5edee591f20111684c4be050",
            "hierarchy": [
              "5edee591f20111684c4be050"
            ],
            "mentions": [],
            "reactions": [],
            "likecount": 0,
            "replycount": 0,
            "votecount": 0,
            "votescore": 0,
            "votes": [],
            "moderation": "na",
            "active": true,
            "reports": []
          }
        ]
      }
    ]
  }
}
Search all 118 endpoints Try “join room”, “moderate”, or “POST”.
Request environment

Connect your application

These values fill request examples and the API console. They stay in this browser tab and are never sent to TalkLabs until you run a request.

Credentials are stored in sessionStorage, not in cookies or analytics.